#!/usr/bin/env bash

docker run --rm  --volume "$PWD":/app -w /app node npm install
docker run --rm  --volume "$PWD":/app -w /app node npm run build

docker run --rm  --volume "$PWD":/app -w /app composer composer install --ignore-platform-req=ext-gd

docker run \
    --volume "$PWD":/app \
    --rm \
    php:8.3-cli \
    php /app/src/php/bin/doctrine.php orm:schema-tool:update --force